aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars-Dominik Braun <lars@6xq.net>2011-12-20 12:25:39 +0100
committerLars-Dominik Braun <lars@6xq.net>2011-12-20 12:25:39 +0100
commit791ec2990580d4e4b7618a372740ff1baf0b7375 (patch)
tree5e091bb9f56dded042f2b65d1d86a2aa797d7279
parent8148642a96bb4a07c2cb6ecad16b51874d266495 (diff)
downloadbuildroot-n35-791ec2990580d4e4b7618a372740ff1baf0b7375.zip
buildroot-n35-791ec2990580d4e4b7618a372740ff1baf0b7375.tar.gz
buildroot-n35-791ec2990580d4e4b7618a372740ff1baf0b7375.tar.bz2
Added telnetd init script
-rwxr-xr-xn35-skeleton/etc/init.d/S50telnetd35
1 files changed, 35 insertions, 0 deletions
diff --git a/n35-skeleton/etc/init.d/S50telnetd b/n35-skeleton/etc/init.d/S50telnetd
new file mode 100755
index 0000000..7e48064
--- /dev/null
+++ b/n35-skeleton/etc/init.d/S50telnetd
@@ -0,0 +1,35 @@
+#!/bin/sh
+#
+# Start telnetd
+#
+
+start() {
+ echo "Starting telnetd..."
+ /usr/sbin/telnetd
+}
+stop() {
+ echo -n "Stopping telnetd..."
+ killall telnetd
+}
+restart() {
+ stop
+ start
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart|reload)
+ restart
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|restart}"
+ exit 1
+esac
+
+exit $?
+